NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Weld.EdgePrepValuesBuilder Class Reference

Used to view or edit the values used to define the welding joint and edge preparation. More...

Inheritance diagram for NXOpen.Weld.EdgePrepValuesBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Apply { ToAllValues, ToChangedValuesOnly }
 Option to indicate how the values are to be updated. More...
 
enum  Option { Entered, Computed }
 Option to indicate how the values are to be used. More...
 

Public Member Functions

unsafe void CreatePathCurvesForLeaveLoose (out NXOpen.Curve path, out NXOpen.Curve reversedPath)
 Creates the path curves to be used for NXOpen.Weld.EdgePrepValuesBuilder.LeaveLooseStartValue and NXOpen.Weld.EdgePrepValuesBuilder.LeaveLooseEndValue . More...
 
unsafe void DeleteExitBuilder ()
 Deletes the NXOpen.Weld.JointExitBuilder . More...
 
unsafe NXOpen.Curve GetSegmentFromIndex (int value)
 Creates the path to be used for the limits. More...
 
unsafe void ReadEdgePrepValues (NXOpen.Features.Feature feature)
 Reads the edge prep values from the feature. More...
 
unsafe void ReadEdgePrepValuesFromCurve (NXOpen.Curve curve)
 Reads the edge prep values from joint curve. More...
 
unsafe void RecreateCurves ()
 Recreates the curves after changes to edge prep values. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool EdgesPrepared [get, set]
 Returns or sets the indication that the edges are prepared for welding More...
 
unsafe bool EditingManagedAttributeGroup [get, set]
 Returns or sets the indication that the modifications will be applied to a Managed Attribute Group, not the feature More...
 
unsafe NXOpen.SelectCurveList Joint [get]
 Returns the welding joint curves. More...
 
unsafe NXOpen.Weld.JointExitBuilder JointExitBuilder [get]
 Returns the NXOpen.Weld.JointExitBuilder . More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
LeaveLooseEndValue [get]
 Returns the distance from the end of the joint to not weld (i. More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
LeaveLooseStartValue [get]
 Returns the distance from the start of the joint to not weld (i. More...
 
unsafe double PrimaryThicknessUser [get, set]
 Returns or sets the user defined value for primary thickness More...
 
unsafe double RootOpening [get, set]
 Returns or sets the root opening More...
 
unsafe double SecondaryThicknessUser [get, set]
 Returns or sets the user defined value for secondary thickness More...
 
unsafe
NXOpen.Weld.EdgePrepValuesBuilder.Apply 
ValuesApplyOption [get, set]
 Returns or sets the apply values option which indicates whether the all the values of each selected joint should be updated or just the values that were changed in the NXOpen.Weld.JointExitBuilder . More...
 
unsafe NXOpen.SelectCurve ValueSegment [get]
 Returns the selected segment. More...
 
unsafe
NXOpen.Weld.EdgePrepValuesBuilder.Option 
ValuesOption [get, set]
 Returns or sets the values option which indicates whether the entered or computed values should be used. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Used to view or edit the values used to define the welding joint and edge preparation.

This sub feature is created via the main feature builder.

Default values.

Property Value

JointExitBuilder.NumberSegments

2

JointExitBuilder.RootOpening

0

JointExitBuilder.SplitAngle

5.0

RootOpening

0

Created in NX8.0.0

Member Enumeration Documentation

Option to indicate how the values are to be updated.

Enumerator
ToAllValues 

Update all values of each selected joint.

ToChangedValuesOnly 

Update only the changed values to each selected joint.

Option to indicate how the values are to be used.

Enumerator
Entered 

Use the values entered as edge prep values.

Computed 

Use the computed values as edge prep values.

Member Function Documentation

unsafe void NXOpen.Weld.EdgePrepValuesBuilder.CreatePathCurvesForLeaveLoose ( out NXOpen.Curve  path,
out NXOpen.Curve  reversedPath 
)
inline

Creates the path curves to be used for NXOpen.Weld.EdgePrepValuesBuilder.LeaveLooseStartValue and NXOpen.Weld.EdgePrepValuesBuilder.LeaveLooseEndValue .

Created in NX1899.0.0

License requirements: structure_weld ("STRUCTURE WELD")

Parameters
pathPath curve for NXOpen.Weld.EdgePrepValuesBuilder.LeaveLooseStartValue .
reversedPathReversed Path Curve for NXOpen.Weld.EdgePrepValuesBuilder.LeaveLooseEndValue .
unsafe void NXOpen.Weld.EdgePrepValuesBuilder.DeleteExitBuilder ( )
inline

Deletes the NXOpen.Weld.JointExitBuilder .

Created in NX9.0.0

License requirements: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.Curve NXOpen.Weld.EdgePrepValuesBuilder.GetSegmentFromIndex ( int  value)
inline

Creates the path to be used for the limits.

Created in NX8.0.0

License requirements: None.

Parameters
valueindex of curve.
Returns
Segment.
unsafe void NXOpen.Weld.EdgePrepValuesBuilder.ReadEdgePrepValues ( NXOpen.Features.Feature  feature)
inline

Reads the edge prep values from the feature.

Created in NX8.5.0

License requirements: structure_weld ("STRUCTURE WELD")

Parameters
featureWelding Joint feature
unsafe void NXOpen.Weld.EdgePrepValuesBuilder.ReadEdgePrepValuesFromCurve ( NXOpen.Curve  curve)
inline

Reads the edge prep values from joint curve.

Created in NX8.5.0

License requirements: structure_weld ("STRUCTURE WELD")

Parameters
curveWelding Joint curve
unsafe void NXOpen.Weld.EdgePrepValuesBuilder.RecreateCurves ( )
inline

Recreates the curves after changes to edge prep values.

Created in NX8.0.0

License requirements: structure_weld ("STRUCTURE WELD")

Property Documentation

unsafe bool NXOpen.Weld.EdgePrepValuesBuilder.EdgesPrepared
getset

Returns or sets the indication that the edges are prepared for welding

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe bool NXOpen.Weld.EdgePrepValuesBuilder.EditingManagedAttributeGroup
getset

Returns or sets the indication that the modifications will be applied to a Managed Attribute Group, not the feature

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.SelectCurveList NXOpen.Weld.EdgePrepValuesBuilder.Joint
get

Returns the welding joint curves.

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Weld.JointExitBuilder NXOpen.Weld.EdgePrepValuesBuilder.JointExitBuilder
get

Returns the NXOpen.Weld.JointExitBuilder .

Created in NX8.0.0

License requirements: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Weld.EdgePrepValuesBuilder.LeaveLooseEndValue
get

Returns the distance from the end of the joint to not weld (i.

e., leave loose).

Created in NX1899.0.0

License requirements: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Weld.EdgePrepValuesBuilder.LeaveLooseStartValue
get

Returns the distance from the start of the joint to not weld (i.

e., leave loose).

Created in NX1899.0.0

License requirements: structure_weld ("STRUCTURE WELD")

unsafe double NXOpen.Weld.EdgePrepValuesBuilder.PrimaryThicknessUser
getset

Returns or sets the user defined value for primary thickness

Created in NX10.0.2

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe double NXOpen.Weld.EdgePrepValuesBuilder.RootOpening
getset

Returns or sets the root opening

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe double NXOpen.Weld.EdgePrepValuesBuilder.SecondaryThicknessUser
getset

Returns or sets the user defined value for secondary thickness

Created in NX10.0.2

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.Weld.EdgePrepValuesBuilder.Apply NXOpen.Weld.EdgePrepValuesBuilder.ValuesApplyOption
getset

Returns or sets the apply values option which indicates whether the all the values of each selected joint should be updated or just the values that were changed in the NXOpen.Weld.JointExitBuilder .

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")

unsafe NXOpen.SelectCurve NXOpen.Weld.EdgePrepValuesBuilder.ValueSegment
get

Returns the selected segment.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Weld.EdgePrepValuesBuilder.Option NXOpen.Weld.EdgePrepValuesBuilder.ValuesOption
getset

Returns or sets the values option which indicates whether the entered or computed values should be used.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: structure_weld ("STRUCTURE WELD")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.